# Elnu's NixOS configuration

### TODO

- Make rofi power menu work by removing password requirement from shutdown, reboot, etc., which is normally done with `visudo` (see [this Stack Overflow thread](https://askubuntu.com/a/168885) and [Nix `sudo` option](https://search.nixos.org/options?channel=22.05&from=0&size=50&sort=relevance&type=packages&query=sudo).
- Package safe poweroff bash script required by rofi power menu
- Add volume and mute button controls to i3
- Limit number of stored rollbacks to remove need for manual garbage collection
- Map caps lock to escape
- Theme lightdm
- Theme GRUB
- Limit max length of window title polybar module to prevent right-side modules from being pushed to the right with long titles
- Add battery module to polybar
- Find out how handling multiple hosts works so both desktop and ThinkPad configurations are buildable from flake
- Load in vim configuration
- Make default i3 workspace 1 instead of 10
